package com.xkrs.common.tools;

import com.alibaba.fastjson.JSONObject;
import com.xkrs.util.Md5Util;
import com.xkrs.util.RequestUtil;

import java.util.Map;

/**
 * @Author: XinYi Song
 * @Date: 2022/2/8 8:41
 */
public class GetTokenTool {
    public static String getToken(){
        String url1 = "https://111.26.161.203:443/admin/API/accounts/authorize";
        String json1 = "{\n" +
                "    \"userName\": system,\n" +
                "    \"ipAddress\": \"\",\n" +
                "    \"clientType\": \"WINPC\"\n" +
                "}";
        // 第一次鉴权
        String doPostJson = RequestUtil.doPostJson(url1, json1);
        Map map = JackSonTool.json2map(doPostJson);
        String randomKey = (String) map.get("randomKey");

        String admin123 = Md5Util.stringToMd5("admin123");
        String stringToMd5 = Md5Util.stringToMd5("system" + admin123);
        String toMd5 = Md5Util.stringToMd5(stringToMd5);
        String md5 = Md5Util.stringToMd5("system:" + "DSS:" + toMd5);
        String signature = Md5Util.stringToMd5(md5 + ":" + randomKey);

        String url2 = "https://111.26.161.203:443/admin/API/accounts/authorize";

        JSONObject jsonObject = new JSONObject();
        jsonObject.put("userName","system");
        jsonObject.put("randomKey",randomKey);
        jsonObject.put("mac","");
        jsonObject.put("encryptType","MD5");
        jsonObject.put("ipAddress","");
        jsonObject.put("signature",signature);
        jsonObject.put("clientType","WINPC");
        // 第二次鉴权
        String postJson = RequestUtil.doPostJson(url2, jsonObject.toString());
        Map map1 = JackSonTool.json2map(postJson);
        String token = (String) map1.get("token");
        return token;
    }
}
