package com.xkrs.dao;

import com.xkrs.model.entity.CameraInformation;
import com.xkrs.model.entity.DeviceManagement;
import com.xkrs.model.vo.ADD;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;
import java.util.Map;

/**
 * @Author: XinYi Song
 * @Date: 2022/3/4 11:54
 */
public interface DeviceManagementDao extends JpaRepository<DeviceManagement,Long> {

    /**
     * 添加设备分页信息
     */
    @Query(value = "Insert device_management('device_name','device_code','device_sn','device_category','device_type','device_manufacture','device_model','device_lp','device_port','owner_code') " +
            "VALUES('?1','?2','?3','?4','?5','?6','?7','?8','?9','?10');",nativeQuery = true)
    String selectDeviceManagement(List<ADD> deviceManagement);

}
