package com.xkrs.service;

import com.xkrs.model.entity.CameraInformation;
import com.xkrs.model.entity.DeviceManagement;
import com.xkrs.model.vo.ADD;

import java.util.List;

/**
 * @Author: XinYi Song
 * @Date: 2022/3/3 11:42
 */
public interface CameraService {
    /**
     * 查询摄像头信息（全部）
     * */
    List<CameraInformation> SelectCameraAll();

    /**
     * 添加
     * */
    boolean InsertCamera(CameraInformation cameraInformation);

    /**
     * 查询全部设备信息
     * @return
     */
    List<DeviceManagement> SelectDevice();

    /**
     * 添加设备分页信息
     */
    String InsertPaging(List<ADD> para);
}
