package com.xkrs.dao;

import com.xkrs.model.entity.Weather;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Component;

/**
 * @Author: XinYi Song
 * @Date: 2022/2/14 10:50
 */
@Component
public interface WeatherDao extends JpaRepository<Weather,Long> {

    /**
     * 根据时间查询天气的状况
     * @param time
     * @return
     */
    Weather findByWeatherTime(String time);
}
