package com.xkrs.model.vo;

import java.util.List;

/**
 * @Author: XinYi Song
 * @Date: 2022/3/4 21:31
 */
public class DA {
    private Boolean success;
    private DataDTO data;
    private String code;
    private String errMsg;

    public Boolean getSuccess() {
        return success;
    }

    public void setSuccess(Boolean success) {
        this.success = success;
    }

    public DataDTO getData() {
        return data;
    }

    public void setData(DataDTO data) {
        this.data = data;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getErrMsg() {
        return errMsg;
    }

    public void setErrMsg(String errMsg) {
        this.errMsg = errMsg;
    }

    public static class DataDTO {
        private List<PageDataDTO> pageData;
        private Integer currentPage;
        private Integer totalPage;
        private Integer pageSize;
        private Integer totalRows;

        public List<PageDataDTO> getPageData() {
            return pageData;
        }

        public void setPageData(List<PageDataDTO> pageData) {
            this.pageData = pageData;
        }

        public Integer getCurrentPage() {
            return currentPage;
        }

        public void setCurrentPage(Integer currentPage) {
            this.currentPage = currentPage;
        }

        public Integer getTotalPage() {
            return totalPage;
        }

        public void setTotalPage(Integer totalPage) {
            this.totalPage = totalPage;
        }

        public Integer getPageSize() {
            return pageSize;
        }

        public void setPageSize(Integer pageSize) {
            this.pageSize = pageSize;
        }

        public Integer getTotalRows() {
            return totalRows;
        }

        public void setTotalRows(Integer totalRows) {
            this.totalRows = totalRows;
        }

        public static class PageDataDTO {

            private String deviceName;

            private String deviceCode;

            private String deviceSn;

            private Integer deviceCategory;

            private Integer deviceType;

            private String deviceManufacturer;

            private String protocol;

            private String deviceModel;

            private String deviceIp;

            private Integer devicePort;

            private String ownerCode;

            private String loginType;

            private String loginName;

            private String loginPassword;

            private Boolean isPwdChange;

            private String registServerCode;

            private Integer isOnline;

            private String onlineUpdateTime;

            private Integer onlineUpdateVersion;

            private String offlineReason;

            private Integer isVirtual;

            private String subSystem;

            private DataDTO.PageDataDTO.DevExtDTO devExt;

            private List<UnitsDTO> units;

            private String updateTime;

            private String deviceMac;

            private Integer registProxyPort;

            private String registDeviceCode;

            public String getDeviceName() {
                return deviceName;
            }

            public void setDeviceName(String deviceName) {
                this.deviceName = deviceName;
            }

            public String getDeviceCode() {
                return deviceCode;
            }

            public void setDeviceCode(String deviceCode) {
                this.deviceCode = deviceCode;
            }

            public String getDeviceSn() {
                return deviceSn;
            }

            public void setDeviceSn(String deviceSn) {
                this.deviceSn = deviceSn;
            }

            public Integer getDeviceCategory() {
                return deviceCategory;
            }

            public void setDeviceCategory(Integer deviceCategory) {
                this.deviceCategory = deviceCategory;
            }

            public Integer getDeviceType() {
                return deviceType;
            }

            public void setDeviceType(Integer deviceType) {
                this.deviceType = deviceType;
            }

            public String getDeviceManufacturer() {
                return deviceManufacturer;
            }

            public void setDeviceManufacturer(String deviceManufacturer) {
                this.deviceManufacturer = deviceManufacturer;
            }

            public String getProtocol() {
                return protocol;
            }

            public void setProtocol(String protocol) {
                this.protocol = protocol;
            }

            public String getDeviceModel() {
                return deviceModel;
            }

            public void setDeviceModel(String deviceModel) {
                this.deviceModel = deviceModel;
            }

            public String getDeviceIp() {
                return deviceIp;
            }

            public void setDeviceIp(String deviceIp) {
                this.deviceIp = deviceIp;
            }

            public Integer getDevicePort() {
                return devicePort;
            }

            public void setDevicePort(Integer devicePort) {
                this.devicePort = devicePort;
            }

            public String getOwnerCode() {
                return ownerCode;
            }

            public void setOwnerCode(String ownerCode) {
                this.ownerCode = ownerCode;
            }

            public String getLoginType() {
                return loginType;
            }

            public void setLoginType(String loginType) {
                this.loginType = loginType;
            }

            public String getLoginName() {
                return loginName;
            }

            public void setLoginName(String loginName) {
                this.loginName = loginName;
            }

            public String getLoginPassword() {
                return loginPassword;
            }

            public void setLoginPassword(String loginPassword) {
                this.loginPassword = loginPassword;
            }

            public Boolean getPwdChange() {
                return isPwdChange;
            }

            public void setPwdChange(Boolean pwdChange) {
                isPwdChange = pwdChange;
            }

            public String getRegistServerCode() {
                return registServerCode;
            }

            public void setRegistServerCode(String registServerCode) {
                this.registServerCode = registServerCode;
            }

            public Integer getIsOnline() {
                return isOnline;
            }

            public void setIsOnline(Integer isOnline) {
                this.isOnline = isOnline;
            }

            public String getOnlineUpdateTime() {
                return onlineUpdateTime;
            }

            public void setOnlineUpdateTime(String onlineUpdateTime) {
                this.onlineUpdateTime = onlineUpdateTime;
            }

            public Integer getOnlineUpdateVersion() {
                return onlineUpdateVersion;
            }

            public void setOnlineUpdateVersion(Integer onlineUpdateVersion) {
                this.onlineUpdateVersion = onlineUpdateVersion;
            }

            public String getOfflineReason() {
                return offlineReason;
            }

            public void setOfflineReason(String offlineReason) {
                this.offlineReason = offlineReason;
            }

            public Integer getIsVirtual() {
                return isVirtual;
            }

            public void setIsVirtual(Integer isVirtual) {
                this.isVirtual = isVirtual;
            }

            public String getSubSystem() {
                return subSystem;
            }

            public void setSubSystem(String subSystem) {
                this.subSystem = subSystem;
            }

            public DevExtDTO getDevExt() {
                return devExt;
            }

            public void setDevExt(DevExtDTO devExt) {
                this.devExt = devExt;
            }

            public List<UnitsDTO> getUnits() {
                return units;
            }

            public void setUnits(List<UnitsDTO> units) {
                this.units = units;
            }

            public String getUpdateTime() {
                return updateTime;
            }

            public void setUpdateTime(String updateTime) {
                this.updateTime = updateTime;
            }

            public String getDeviceMac() {
                return deviceMac;
            }

            public void setDeviceMac(String deviceMac) {
                this.deviceMac = deviceMac;
            }

            public Integer getRegistProxyPort() {
                return registProxyPort;
            }

            public void setRegistProxyPort(Integer registProxyPort) {
                this.registProxyPort = registProxyPort;
            }

            public String getRegistDeviceCode() {
                return registDeviceCode;
            }

            public void setRegistDeviceCode(String registDeviceCode) {
                this.registDeviceCode = registDeviceCode;
            }

            public static class DevExtDTO {

                private String pictureServerCode;

                private String videoServerCode;

                public String getPictureServerCode() {
                    return pictureServerCode;
                }

                public void setPictureServerCode(String pictureServerCode) {
                    this.pictureServerCode = pictureServerCode;
                }

                public String getVideoServerCode() {
                    return videoServerCode;
                }

                public void setVideoServerCode(String videoServerCode) {
                    this.videoServerCode = videoServerCode;
                }
            }


            public static class UnitsDTO {

                private Integer unitType;

                private Integer unitSeq;

                private DataDTO.PageDataDTO.UnitsDTO.UnitExtDTO unitExt;

                private List<ChannelsDTO> channels;

                public Integer getUnitType() {
                    return unitType;
                }

                public void setUnitType(Integer unitType) {
                    this.unitType = unitType;
                }

                public Integer getUnitSeq() {
                    return unitSeq;
                }

                public void setUnitSeq(Integer unitSeq) {
                    this.unitSeq = unitSeq;
                }

                public UnitExtDTO getUnitExt() {
                    return unitExt;
                }

                public void setUnitExt(UnitExtDTO unitExt) {
                    this.unitExt = unitExt;
                }

                public List<ChannelsDTO> getChannels() {
                    return channels;
                }

                public void setChannels(List<ChannelsDTO> channels) {
                    this.channels = channels;
                }

                public static class UnitExtDTO {

                    private String streamType;

                    private Integer zeroChnEncode;

                    private Integer assistStream;

                    public String getStreamType() {
                        return streamType;
                    }

                    public void setStreamType(String streamType) {
                        this.streamType = streamType;
                    }

                    public Integer getZeroChnEncode() {
                        return zeroChnEncode;
                    }

                    public void setZeroChnEncode(Integer zeroChnEncode) {
                        this.zeroChnEncode = zeroChnEncode;
                    }

                    public Integer getAssistStream() {
                        return assistStream;
                    }

                    public void setAssistStream(Integer assistStream) {
                        this.assistStream = assistStream;
                    }
                }


                public static class ChannelsDTO {

                    private String channelName;

                    private Integer channelSeq;

                    private String channelType;

                    private String cameraType;

                    private String capability;

                    private String ownerCode;

                    private String channelCode;

                    private Integer stat;

                    private Integer isOnline;

                    private String onlineUpdateTime;

                    private Integer onlineUpdateVersion;

                    private DataDTO.PageDataDTO.UnitsDTO.ChannelsDTO.ChExtDTO chExt;
                    private Integer isVirtual;

                    public String getChannelName() {
                        return channelName;
                    }

                    public void setChannelName(String channelName) {
                        this.channelName = channelName;
                    }

                    public Integer getChannelSeq() {
                        return channelSeq;
                    }

                    public void setChannelSeq(Integer channelSeq) {
                        this.channelSeq = channelSeq;
                    }

                    public String getChannelType() {
                        return channelType;
                    }

                    public void setChannelType(String channelType) {
                        this.channelType = channelType;
                    }

                    public String getCameraType() {
                        return cameraType;
                    }

                    public void setCameraType(String cameraType) {
                        this.cameraType = cameraType;
                    }

                    public String getCapability() {
                        return capability;
                    }

                    public void setCapability(String capability) {
                        this.capability = capability;
                    }

                    public String getOwnerCode() {
                        return ownerCode;
                    }

                    public void setOwnerCode(String ownerCode) {
                        this.ownerCode = ownerCode;
                    }

                    public String getChannelCode() {
                        return channelCode;
                    }

                    public void setChannelCode(String channelCode) {
                        this.channelCode = channelCode;
                    }

                    public Integer getStat() {
                        return stat;
                    }

                    public void setStat(Integer stat) {
                        this.stat = stat;
                    }

                    public Integer getIsOnline() {
                        return isOnline;
                    }

                    public void setIsOnline(Integer isOnline) {
                        this.isOnline = isOnline;
                    }

                    public String getOnlineUpdateTime() {
                        return onlineUpdateTime;
                    }

                    public void setOnlineUpdateTime(String onlineUpdateTime) {
                        this.onlineUpdateTime = onlineUpdateTime;
                    }

                    public Integer getOnlineUpdateVersion() {
                        return onlineUpdateVersion;
                    }

                    public void setOnlineUpdateVersion(Integer onlineUpdateVersion) {
                        this.onlineUpdateVersion = onlineUpdateVersion;
                    }

                    public ChExtDTO getChExt() {
                        return chExt;
                    }

                    public void setChExt(ChExtDTO chExt) {
                        this.chExt = chExt;
                    }

                    public Integer getIsVirtual() {
                        return isVirtual;
                    }

                    public void setIsVirtual(Integer isVirtual) {
                        this.isVirtual = isVirtual;
                    }

                    public static class ChExtDTO {
                    }
                }
            }
        }
    }
}
